de.esprit.appsuite.launch

## Class ApplicationEnvironment

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.ApplicationEnvironment

- All Implemented Interfaces:
    Dumpable

      public class ApplicationEnvironment
      extends DumpableObject

  This class provides the OS-environment in a way that env-variables can be added or overridden programmatically.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()`
    `static java.lang.String` | `getEnv(java.lang.String key)`
    `static java.io.File` | `getEnvAsFile(java.lang.String key)`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `putEnv(java.lang.String key, java.lang.String value)` Puts a key value pair into the environment.
    `static void` | `reset()` Reloads the environment from the OS discarding any other changes.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### putEnv

          public static void putEnv(java.lang.String key,
                    java.lang.String value)

      Puts a key value pair into the environment. If the key exists already, it will be overridden. If the value is null, then the according key will be removed from the environment.

    - #### getEnv

          public static java.lang.String getEnv(java.lang.String key)

    - #### getEnvAsFile

          public static java.io.File getEnvAsFile(java.lang.String key)

    - #### reset

          public static void reset()

      Reloads the environment from the OS discarding any other changes.

    - #### clear

          public static void clear()

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.